CREATE TABLE VAP.CONSENT_COMMENT
(
  COMMENT_ID          NUMBER(19)                NOT NULL,
  USER_ID             VARCHAR2(255 BYTE)        NOT NULL,
  DATE_ADDED          TIMESTAMP(6)              NOT NULL,
  COMMENTS            CLOB                      NOT NULL,
  CONSENT_ID          NUMBER(19),
  CONSENT_TYPE        VARCHAR2(255 BYTE)        NOT NULL,
  DELAYED_CONSENT_ID  NUMBER(19)
);


CREATE UNIQUE INDEX VAP.CONSENT_COMMENT_PK ON VAP.CONSENT_COMMENT
(COMMENT_ID);

ALTER TABLE VAP.CONSENT_COMMENT ADD (
  CONSTRAINT CONSENT_COMMENT_PK
  PRIMARY KEY
  (COMMENT_ID)
  USING INDEX VAP.CONSENT_COMMENT_PK
  ENABLE VALIDATE);
