CREATE TABLE VAP.LETTER_TYPE
(
  LETTER_TYPE_ID  NUMBER(19)                    NOT NULL,
  NAME            VARCHAR2(255 CHAR)            NOT NULL
);


CREATE UNIQUE INDEX VAP.LETTER_TYPE_PK ON VAP.LETTER_TYPE
(LETTER_TYPE_ID);

ALTER TABLE VAP.LETTER_TYPE ADD (
  CONSTRAINT LETTER_TYPE_PK
  PRIMARY KEY
  (LETTER_TYPE_ID)
  USING INDEX VAP.LETTER_TYPE_PK
  ENABLE VALIDATE);
