CREATE TABLE VAP.NOTIFICATION
(	
    "NOTIFICATION_ID" NUMBER(19,0)    NOT NULL, 
    "COMPLETED_TS" TIMESTAMP (6), 
    "CREATED_TS" TIMESTAMP (6), 
    "USER_ID" VARCHAR2(255 CHAR), 
    "CONSENT_DIR_ID" NUMBER(19,0)     NOT NULL, 
    "NOTIFICATION_TYPE_ID" NUMBER(19,0)
) 
TABLESPACE USERS;

CREATE UNIQUE INDEX VAP.NOTIFICATION_PK ON VAP.NOTIFICATION
(NOTIFICATION_ID) TABLESPACE "USERS";
  
ALTER TABLE VAP.NOTIFICATION ADD (
  CONSTRAINT NOTIFICATION_PK
  PRIMARY KEY
  (NOTIFICATION_ID)
  USING INDEX VAP.NOTIFICATION_PK
  ENABLE VALIDATE);
