CREATE TABLE VAP.SERVICE_AUDIT
(
  ID           NUMBER                           NOT NULL,
  WEB_SERVICE  VARCHAR2(50 BYTE)                NOT NULL,
  CALL         VARCHAR2(100 BYTE)               NOT NULL,
  EVENT_DATE   TIMESTAMP(6)                     NOT NULL,
  IP           VARCHAR2(45 BYTE)                NOT NULL,
  CN           VARCHAR2(253 BYTE)               NOT NULL,
  AUTHORIZED   NUMBER(1),
  SUCCESS      NUMBER(1),
  DURATION     INTEGER
);


CREATE UNIQUE INDEX VAP.SERVICE_AUDIT_PK ON VAP.SERVICE_AUDIT
(ID);

ALTER TABLE VAP.SERVICE_AUDIT ADD (
  CONSTRAINT SERVICE_AUDIT_PK
  PRIMARY KEY
  (ID)
  USING INDEX VAP.SERVICE_AUDIT_PK
  ENABLE VALIDATE);
