/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gov.va.nvap.svc.consentmgmt;

import gov.va.nvap.svc.consentmgmt.jpa.exceptions.IllegalOrphanException;
import gov.va.nvap.svc.consentmgmt.jpa.exceptions.NonexistentEntityException;
import gov.va.nvap.svc.consentmgmt.jpa.exceptions.PreexistingEntityException;
import gov.va.nvap.svc.consentmgmt.stub.data.PatientDocumentType;

import java.util.List;

import javax.persistence.EntityManager;

/**
 * 
 * @author DNS 
 */
public interface PatientDocumentTypeControllerInterface {

	void create(PatientDocumentType patientDocumentType)
			throws PreexistingEntityException, Exception;

	void edit(PatientDocumentType patientDocumentType)
			throws IllegalOrphanException, NonexistentEntityException,
			Exception;

	PatientDocumentType findPatientDocumentType(Long id);

	PatientDocumentType findPatientDocumentTypeByName(String documentName);

	List<PatientDocumentType> findPatientDocumentTypeEntities(EntityManager em);
}
