package gov.va.nvap.svc.consentmgmt.stub.adapter.announce.data;

/**
 * Patient Announcer Exception.
 * 
 * @author Asha Amritraj
 */
public class PatientAnnouncerException extends Exception {

	/**
	 * Serial UID.
	 */
	private static final long serialVersionUID = 9222535977062958753L;

	public PatientAnnouncerException() {
		super();
	}

	public PatientAnnouncerException(final String message) {
		super(message);
	}

	public PatientAnnouncerException(final String message, final Throwable cause) {
		super(message, cause);
	}

	public PatientAnnouncerException(final Throwable cause) {
		super(cause);
	}
}
