/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package gov.va.nvap.web.auth;

import java.io.IOException;

import javax.servlet.ServletException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.owasp.esapi.ESAPI;
import org.owasp.esapi.errors.AccessControlException;

/**
 * @author Asha Amritraj
 */
public class Logout extends gov.va.nvap.web.app.ResponseDispatcherHttpServlet {
	static private final Log LOG = LogFactory.getLog(Logout.class);
	/**
	 * Serial UID.
	 */
	private static final long serialVersionUID = -3189365467385438666L;

    private static final String LOGOUT_URL_HEADER = "SSOI-LANDING-URL";

	@Override
	protected void unspecified(final HttpServletRequest request,
			final HttpServletResponse response) throws ServletException,
			IOException {
		final HttpSession session = request.getSession(false);
		// Invalidate the session after logout
		if (session != null) {
			if (Logout.LOG.isInfoEnabled()) {
				//Logout.LOG.info("VAP Logout Success");
			}
			session.invalidate();
		}
        
        //send a message back that the user is indeed logged out
        request.setAttribute("message", "You have been successfully logged out.");
        
		// Success
//        response.sendRedirect(request.getHeader(LOGOUT_URL_HEADER));

        try {
            ESAPI.httpUtilities().setCurrentHTTP(request, response);
			ESAPI.httpUtilities().sendRedirect(request.getHeader(LOGOUT_URL_HEADER));
	        ESAPI.httpUtilities().clearCurrent();
		} catch (AccessControlException e) {
			throw new ServletException();
		}

        
	}
}
