<%--
    Document   : errors
    Created on : Dec 24, 2009, 7:45:03 PM
    Author     : David Vazquez
    Modified By: Asha Amritraj
--%>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>

<%@tag description="Display form validation errors." pageEncoding="UTF-8"%>

<c:if test="${!empty formErrors}">
    <div id="formErrors" class="alert alert-danger" role="alert">
        <p><strong>There <c:out value="${(fn:length(formErrors) gt 1)?'were errors':'was an error'}" /> in your submission.</strong></p>
        <p>
            <c:forEach var="fe" items="${formErrors}">
                <c:out value="${fe.message}" /><br />
            </c:forEach>
        </p>
    </div>
</c:if>