SET DEFINE OFF;
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (100, '200NMV', '2.16.840.1.113883.3.190.6.100.1', 'MedVirginia', '*NMV', 
    'urn:oid:', 'CONTACT ONE', '555-555-5551', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (101, '200NHKP', '2.16.840.1.113883.3.596', 'ONC INTEROPLAB - NODE 1', '*HKP', 
    'urn:oid:', 'CONTACT TWO', '555-555-5552', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (102, '200NNC', '2.16.840.1.113883.3.488.1', 'NORTH CAROLINA HEALTHCARE INFORMATION AND COMMUNICATIONS ALLIANCE', '*NNC', 
    'urn:oid:', 'CONTACT THREE', '555-555-5553', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (103, '200NDD', '2.16.840.1.113883.3.717', 'ONC INTEROPLAB - NODE 2', '*NDD', 
    'urn:oid:', 'CONTACT FOUR', '555-555-5554', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (104, '200NIN', '2.16.840.1.113883.3.1181.2', 'Indiana HIE', '*INH', 
    'urn:oid:', 'CONTACT FIVE', '555-555-5555', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (105, '200NWA', '2.16.840.1.113883.3.607.1.990.2.1.1.21', 'Inland NW Health Services', '*NWA', 
    'urn:oid:', 'CONTACT SIX', '555-555-5556', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (106, '200DOD', '2.16.840.1.113883.3.42.10001.100001.12', 'DEPARTMENT OF DEFENSE', '*DoD', 
    'urn:oid:', 'CONTACT SEVEN', '555-555-5557', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (107, '200NKP', '1.3.6.1.4.1.26580', 'Kaiser Permanente', '*KP', 
    'urn:oid:', 'CONTACT EIGHT', '555-555-5558', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (120, '200NUT', '2.16.840.1.113883.3.709.0.200.1', 'Utah HIN', '*NUT', 
    'urn:oid:', 'CONTACT NINE', '555-555-5559', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (121, '200NWS', '1.2.840.114350.1.13.60.3.7.3.688884.100', 'MultiCare', '*NWS', 
    'urn:oid:', 'CONTACT TEN', '555-555-5560', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (122, '200NSC', '1.3.6.1.4.1.37619', 'South Carolina HIE', '*NSC', 
    'urn:oid:', 'CONTACT ELEVEN', '555-555-5561', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (123, '200NMN', '1.3.6.1.4.1.31523', 'COMMUNITY HEALTH INFORMATION COLLABORATIVE', '*NMN', 
    'urn:oid:', 'CONTACT TWELVE', '555-555-5562', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (124, '200NWN', '2.25.256133121442266547198931747355024016667.1.2.1', 'Western New York HealtheLink', '*NWN', 
    'urn:oid:', 'CONTACT THIRTEEN', '555-555-5563', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (128, '200NUC', '2.16.840.1.113883.3.1182.1.2.3', 'SAN DIEGO BEACON HEALTH INFORMATION EXCHANGE', '*NUC', 
    'urn:oid:', 'CONTACT FOURTEEN', '555-555-5564', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (129, '200NCM', '1.2.840.114350.1.13.457.3.7.3.688884.100', 'Conemaugh Health System', '*NCM', 
    'urn:oid:', 'CONTACT FIFTEEN', '555-555-5565', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (130, '200NK1', '1.3.6.1.4.1.26580.20', 'KAISER PERMANENTE KPDEVLAB', '*NK1', 
    'urn:oid:', 'CONTACT SIXTEEN', '555-555-5566', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (131, '200NK2', '1.3.6.1.4.1.26580.10', 'KAISER PERMANENTE PREPROD', '*NK2', 
    'urn:oid:', 'CONTACT SEVENTEEN', '555-555-5567', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (100450, '200NSS', '2.16.840.1.113883.3.184.6.1', 'SOCIAL SECURITY ADMINISTRATION', '*NSS', 
    'urn:oid:', 'CONTACT FOURTEEN', '555-555-5564', 'Y', 'Y', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (100866, '200NQH', '2.16.840.1.113883.3.1165.1.2.1', 'QUALITY HEALTH NETWORK', '*NQH', 
    'urn:oid:', 'CONTACT SIXTEEB', '555-555-5566', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (128506, '200NOR', '1.2.840.114350.1.13.66.3.7.3.688884.100', 'OCHIN', '*NOR', 
    'urn:oid:', 'CONTACT Mike Matull', '503-943-2597', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (184370, '200NJE', '2.16.840.1.113883.3.579.1.45', 'Jefferson HIE', '*NJE', 
    'urn:oid:', 'CONTACT Kevin Durland', '(855)290-5443 ext. 215', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (108961, '200NFL', '2.16.840.1.113883.3.1178.1', 'Pensacola Strategic Health', '*NFL', 
    'urn:oid:', 'CONTACT SEVENTEEN', '555-555-5517', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (108962, '200NID', '2.16.840.1.113883.3.1125.1.2.1', 'Idaho Health Data Exchange', '*NID', 
    'urn:oid:', 'CONTACT EIGHTEEN', '555-555-5518', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (108963, '200NTN', '2.16.840.1.113883.3.1256.1.2.1', 'EAST TENNESSEE HEALTH INFORMATION NETWORK', '*NTN', 
    'urn:oid:', 'CONTACT NINETEEN', '555-555-5519', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (139, '200NSM', '2.16.840.1.113883.17.8.1', 'San Diego Beacon HIE', '*NSM', 
    'urn:oid:', 'Jeff Bennett', '555-555-5564', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (177768, '200NGE', '2.16.840.1.113883.3.779', 'Georgia Regional Academic HIE', '*NGE', 
    'urn:oid:', 'CONTACT Tara Cramer', '478-553-2498', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (177769, '200NNV', '2.16.840.1.113883.3.2966.100.1.0.1', 'HealtHIE Nevada', '*NNV', 
    'urn:oid:', 'CONTACT Beth Scully', '775-240-5157', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (181391, '200NCI', '1.2.840.114350.1.13.198.3.7.3.688884.100', 'Carilion Clinic', '*NCI', 
    'urn:oid:', 'CONTACT Ragan Farris', '540-224-1544 ', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (181392, '200NCU', '1.2.840.114350.1.13.202.3.7.3.688884.100', 'Cedars Sinai', '*NCU', 
    'urn:oid:', 'CONTACT Ray Duncan. MD', '323-866-6565 ', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (181393, '200NUV', '1.2.840.114350.1.13.237.3.7.3.688884.100', 'U of Virginia Health System', '*NUV', 
    'urn:oid:', 'CONTACT Greg DAtre', '434-982-1975  ', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (192056, '200NXJ', '1.2.840.114350.1.13.136.3.7.3.688884.100', 'UC San Diego', '*NXJ', 
    'urn:oid:', 'CONTACT Mike Lomangino', ' (858)249-0072', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (143084, '200NDXV', '2.16.840.1.113883.3.42.10001.100001.15', 'DoD Fifteen', '*NDXV', 
    'urn:oid:', 'CONTACT DoD Rep', '111-111-1111', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (143085, '200NDYW', '2.16.840.1.113883.3.42.10001.100001.19', 'DoD Nineteen', '*NDYW', 
    'urn:oid:', 'CONTACT DoD Rep', '111-111-1111', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (143430, '200NWU', '2.16.840.1.113883.3.722', 'Wright State Physicians', '*NWU', 
    'urn:oid:', 'CONTACT Srikanth Nadella', '937-705-1038', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (126874, '200NHP', '1.2.840.114350.1.13.105.3.7.3.688884.100', 'Hawaii Pacific Health', '*NHP', 
    'urn:oid:', 'CONTACT Lani Borton', '808-535-7082', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (128522, '200NWG', '2.16.840.1.113883.3.2018.1.5.1', 'Walgreens', '*NWG', 
    'urn:oid:', 'CONTACT Igor Ignatov', '847-964-7147', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (128573, '200NHC', '2.16.840.1.113883.3.1834.2', 'HealtheConnections', '*NHC', 
    'urn:oid:', 'CONTACT Dennis Sherba', '315-671-2241 ext. 290', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (131340, '200NMU', '2.16.840.1.113883.3.456', 'Medical University of South Carolina (MUSC)', '*NMU', 
    'urn:oid:', 'CONTACT Mark Daniels', '843-792-6001', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (181806, '200NHX', '2.16.840.1.113883.13.61', 'HealthIX', '*NHX', 
    'urn:oid:', 'CONTACT Judith Wright ', '401-356-0646', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (127455, '200NCD', '1.2.840.114350.1.13.93.3.7.3.688884.100', 'UC Davis Health System', '*NCD', 
    'urn:oid:', 'CONTACT Willy Bansi ', '916-734-4812', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (127567, '200NCT', '2.16.840.1.113883.3.413.1', 'CONEMAUGH SPEC 2011', '*NCT', 
    'urn:oid:', 'CONTACT John Hargreaves', '814-269-5277', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (133905, '200NAH', '1.2.840.114350.1.13.8.3.7.3.688884.100', 'Allina Health', '*NAH', 
    'urn:oid:', 'CONTACT Chris Hirsch', ' 612-262-4386', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (133906, '200NMS', '1.2.840.114350.1.13.254.3.7.3.688884.100', 'Mount Sinai Medical Center', '*NMS', 
    'urn:oid:', 'CONTACT  Ivan Gomez', '305-674-2121', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (144485, '200NUP', '1.2.840.114350.1.13.283.3.7.3.688884.100', 'UnityPoint Health', '*NUP', 
    'urn:oid:', 'CONTACT Darren Clark', '(515) 241-7464', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (144486, '200NWH', '1.2.840.114350.1.13.92.3.7.3.688884.100', 'U of Wisconsin Health', '*NWH', 
    'urn:oid:', 'CONTACT Rebecca Fenstermann', '608-821-1537', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (144487, '200NST', '1.2.840.114350.1.13.171.3.7.3.688884.100', 'Stanford Health Care', '*NST', 
    'urn:oid:', 'CONTACT Matthew Eisenberg', '650-736-7799', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (144488, '200NPB', '1.2.840.114350.1.13.69.3.7.3.688884.100', 'Presbyterian Healthcare', '*NPB', 
    'urn:oid:', 'CONTACT Illias Abdul', '484-883-9372', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (144489, '200NGU', '1.2.840.114350.1.13.199.3.7.3.688884.100', 'Gundersen Health System', '*NGU', 
    'urn:oid:', 'CONTACT Lisa Priefert', '608-775-6868', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (151453, '200NGA', '1.3.6.1.4.1.41800', 'Georgia HIN', '*NGA', 
    'urn:oid:', 'CONTACT Daniel Munster', ' 619-326-8578', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (197494, '200NOH', '1.2.840.114350.1.13.385.3.7.3.688884.100', 'Ohio Health', '*NOH', 
    'urn:oid:', 'CONTACT Trisha Ekleberry', '614-788-3078', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (145816, '200NCN', '2.16.840.1.113883.3.57.1.3.31.32.2', 'Clinical Connect Western PA', '*NCN', 
    'urn:oid:', 'CONTACT Timothy Leidig', '412 864-4191', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (130912, '200NLG', '1.2.840.114350.1.13.164.3.7.3.688884.100', 'Lancaster General Health', '*NLG', 
    'urn:oid:', 'CONTACT Jennifer Greene', '717-544-2518', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (145817, '200NPI', '2.16.840.1.113883.3.552.100.2.2', 'U of Pittsburgh Medical Center', '*NPI', 
    'urn:oid:', 'CONTACT Timothy Leidig', '412 864-4191', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (155492, '200NSI', '1.2.840.114350.1.13.179.3.7.3.688884.100', 'SSM Health IA IL MO OK', '*NSI', 
    'urn:oid:', 'CONTACT Chris Geiger', '314-951-5517', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (193264, '200NGW', '1.2.840.114350.1.13.359.3.7.3.688884.100', 'Wellstar Health', '*NGW', 
    'urn:oid:', 'CONTACT Melynda Brown ', '470-956-6523 ', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (203904, '200NGR', '1.2.840.114350.1.13.244.3.7.3.688884.100', 'Grady Health', '*NGR', 
    'urn:oid:', 'CONTACT Katrine Gobert', '404-616-9561', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (129937, '200NRM', '2.16.840.1.113883.3.187', 'Redwood MedNet', '*NRM', 
    'urn:oid:', 'CONTACT Will Ross', '111-111-1111', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (129938, '200NMI', '2.16.840.1.113883.3.1481.2.4.1', 'Michigan Health Information Network (MiHIN)', '*NMI', 
    'urn:oid:', 'CONTACT Tony Ward', '703-868-2632', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (133208, '200NSH', '1.2.840.114350.1.13.163.3.7.3.688884.100', 'Sentara Healthcare', '*NSH', 
    'urn:oid:', 'CONTACT LastName FirstName', '111-111-1111', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (154298, '200NCA', '1.2.840.114350.1.13.12.3.7.3.688884.100', 'Carle Foundation Hospital', '*NCA', 
    'urn:oid:', 'CONTACT Steve Daniels', '217-326-1773', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (154299, '200NZE', '1.2.840.114350.1.13.7.1.7.3.688884.100', 'EPIC', '*NZE', 
    'urn:oid:', 'CONTACT First Last', '111-111-1111', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (154300, '200NMA', '1.2.840.114350.1.13.287.3.7.3.688884.100', 'Martin Health System', '*NMA', 
    'urn:oid:', 'CONTACT Susan Moore', '772.223.5945', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (131893, '200NME', '2.16.840.1.113883.3.1239.1.1.2', 'HealthInfoNet', '*NME', 
    'urn:oid:', 'CONTACT Shaun T. Alfreds', '207-541-4105', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (131894, '200NMH', '1.2.840.114350.1.13.56.3.7.3.688884.100', 'MetroHealth', '*NMH', 
    'urn:oid:', 'CONTACT FirstName LastName', '111-111-1111', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (132751, '200NTX', '2.16.840.1.113883.3.1567.3', 'HIETexas - Austin', '*NTX', 
    'urn:oid:', 'CONTACT LastName FirstName', '111-111-1111', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (155243, '200NBO', '1.2.840.114350.1.13.197.3.7.3.688884.102', 'Bon Secours Health System', '*NBO', 
    'urn:oid:', 'CONTACT Steve Leighty', '804-359-4500', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (155244, '200NCE', '2.16.840.1.113883.3.190.6.100.1.2', 'Centra Health', '*NCE', 
    'urn:oid:', 'CONTACT Steve Leighty', '804-359-4500', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (155245, '200NVU', '2.16.840.1.113883.3.190.6.100.1.3', 'Virginia Commonwealth U Health', '*NVU', 
    'urn:oid:', 'CONTACT Steve Leighty', '804-359-4500', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (161674, '200NAK', '2.16.840.1.113883.3.89.100.20.30.1', 'Alaska eHealth Network', '*NAK', 
    'urn:oid:', 'CONTACT Phil Hunt', '857-488-4749', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (181807, '200NVE', '2.16.840.1.113883.3.579.1.10', 'Vermont Information Technology', '*NVE', 
    'urn:oid:', 'CONTACT Kenan Nurkanovic ', '802-839-1951', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (155505, '200NPO', '1.2.840.114350.1.13.251.3.7.3.688884.100', 'Providence Health AK', '*NPO', 
    'urn:oid:', 'CONTACT Hung Henderson', '425-525-4505', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (155506, '200NPS', '1.2.840.114350.1.13.296.3.7.3.688884.100', 'Providence Health WA MT', '*NPS', 
    'urn:oid:', 'CONTACT Hung Henderson', '425-525-4505', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (163968, '200NKS', '2.16.840.1.113883.3.432.0.11.500', 'Kansas HIN', '*NKS', 
    'urn:oid:', 'CONTACT Laura McCrary', '785-409-5200', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ACTIVE, ORG_CONSUMER_ONLY, IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (177771, '200NMP', '2.16.840.1.113883.3.1805', 'Michiana HIN', '*NMP', 
    'urn:oid:', 'CONTACT Jill Pate', 'Y', 'N', 'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (183786, '200NCC', '1.2.840.114350.1.13.145.3.7.3.688884.100', 'CentraCare Health', '*NCC', 
    'urn:oid:', 'CONTACT Amy Porwoll', '320-656-7199', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (201472, '200NJP', '1.2.840.114350.1.13.285.3.7.3.688884.100', 'JPS Health Network', '*NJP', 
    'urn:oid:', 'CONTACT Jeff Beneze', '817-702-6235', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (128521, '200NDH', '2.16.840.1.113883.3.660.1.101.4.1', 'DIGNITY HEALTH', '*NDH', 
    'urn:oid:', 'CONTACT Sean Turner', '520-991-0771', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (152054, '200NCL', '1.2.840.114350.1.13.159.3.7.3.688884.100', 'Cleveland Clinic', '*NCL', 
    'urn:oid:', 'CONTACT John Canale', '216-738-4626', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (152055, '200NFV', '1.2.840.114350.1.13.33.3.7.3.688884.100', 'Fairview Health Services', '*NFV', 
    'urn:oid:', 'CONTACT David Bursey', '612-672-5626', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (191796, '200NRI', '2.16.840.1.113883.3.915', 'Rhode Island HIE', '*NRI', 
    'urn:oid:', 'CONTACT Luigi Della Posta', ' 401-276-9141 ext 288', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (129920, '200NYA', '1.2.840.114350.1.13.301.3.7.3.688884.100', 'Yale New Haven Health', '*NYA', 
    'urn:oid:', 'CONTACT Mark Lafferty', '203-502-4664', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (130574, '200NDX', '2.16.840.1.113883.3.42.10001.100001.17', 'DoD JPT Formal Development Environment in DTC Zone A', '*NDX', 
    'urn:oid:', 'CONTACT DoD Rep', '111-111-1111', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (130575, '200NDY', '2.16.840.1.113883.3.42.10001.100001.18', 'DoD JPT Formal DTnull Environment in DTC Zone A', '*NDY', 
    'urn:oid:', 'CONTACT DoD Rep', '111-111-1111', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (130576, '200NDZ', '2.16.840.1.113883.3.42.10001.100001.13', 'DoD JPT Development Environment at ManTech', '*NDZ', 
    'urn:oid:', 'CONTACT DoD Rep', '111-111-1111', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (133979, '200NTR', '1.2.840.114350.1.13.107.3.7.3.688884.100', 'Texas Health Resources', '*NTR', 
    'urn:oid:', 'CONTACT  Jennifer Miller', '214-755-2421', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (134549, '200NHH', '2.16.840.1.113883.3.579.1.35', 'HIETexas-Houston', '*NHH', 
    'urn:oid:', 'CONTACT Eric Heflin', '512-814-0321', 'Y', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (153675, '200NWV', '1.3.6.1.4.1.38674.0', 'West Virginia HIN', '*NWV', 
    'urn:oid:', 'CONTACT David M. Partsch', '304-347-4131', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (161578, '200NSF', '1.2.840.114350.1.13.266.3.7.3.688884.100', 'UC San Francisco Medical Center', '*NSF', 
    'urn:oid:', 'CONTACT Shawn Noland', '415-514-5567', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (161579, '200NLH', '1.2.840.114350.1.13.213.3.7.3.688884.100', 'Legacy Health', '*NLH', 
    'urn:oid:', 'CONTACT Lara Oluwafemi', '503-415-5385', 'N', 'N', 
    'N');
Insert into VAP.ALLOWED_ORG
   (ORG_ID, ORG_NUMBER, ORG_OID, ORG_NAME, ORG_DOMAIN, 
    ORG_COMMUNITY_ID_PREFIX, ORG_CONTACT, ORG_PHONE_NUMBER, ACTIVE, ORG_CONSUMER_ONLY, 
    IS_TRUSTED_CLINICAL_SOURCE)
 Values
   (161840, '200NGS', '1.2.840.114350.1.13.37.3.7.2.688879.101', 'Geisinger Health System', '*NGS', 
    'urn:oid:', 'CONTACT First Lastname', '123-456-7890', 'Y', 'N', 
    'N');
COMMIT;
