INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'partnerOrganizationDescriptionColumn', 'This column displays the partner organization description.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'partnerOrganizationDescriptionField', 'This field allows the admin to edit the partner organization description. This is a required field.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'manageBatchesOrganizationHeader', 'This column displays the organization name.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'manageBatchesDateHeader', 'This column displays the date created.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'manageBatchesScheduledHeader', 'This column displays the number of scheduled batches.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'manageBatchesCompletedHeader', 'This column displays the number of completed batches.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'manageBatchesSizeHeader', 'This column displays the batch size.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'manageBatchesActionHeader', 'This column contains the action button for the corresponding row.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'manageBatchesCheckBoxHeader', 'Checkbox that allows to Check all (one or many can be checked below)');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'disclosureSummaryReportFacilityIDColumn', 'This column displays the facility id of the preferred facility.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'viewFacilityStationNumber', 'This column displays the associated three or five digit Veteran''s Affairs facility number.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'viewFacilityName', 'This column displays the Veteran''s Affairs facility name.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'viewFacilityAddress', 'This column displays the facility address.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'viewFacilityCity', 'This column displays the facility city.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'viewFacilityState', 'This column displays the facility state.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'viewFacilityZipCode', 'This column displays facility zip code.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'viewFacilityPhoneNumber', 'This column displays the facility phone number.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'viewFacilityVISN', 'This column displays the VISN associated to the facility.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'viewFacilityParent', 'This column displays the parent of the associated facility. When selecting the aggregate button on summary reports, the totals of all the children facilities will be rolled up and added to Parent Facility counts. Relationship can be revised through the "Edit" action.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'viewFacilityChildren', 'This column displays the children of the associated facility. When selecting the aggregate button on summary reports, all of the counts from children facilities are rolled up and aggregated to Parent Facility counts. This relationship can be revised through the "Edit" action.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'viewFacilityAllowed', 'This column displays if a facility is allowed.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'viewFacilityAction', 'This column displays the available actions for the corresponding facility.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'editFacilityStationNumber', 'This field allows the user to edit the facility station number.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'editFacilityDNS', 'This field allows the user to edit the facility DNS.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'editFacilityName', 'This field allows the user to edit the facility name.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'editFacilityAddress', 'This field allows the user to edit the facility address.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'editFacilityCity', 'This field allows the user to edit the facility city.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'editFacilityState', 'This field allows the user to edi the facility state.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'editFacilityZipCode', 'This field allows the user to edit the facility zip code.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'editFacilityPhoneNumber', 'This field allows the user to edit the facility phone number.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'editFacilityVisn', 'This field allows the user to edit the facility visn.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'editFacilityParentList', 'This field allows the user to select a parent facility.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'editFacilityAllowed', 'This field allows the user to select if a facility is allowed or not.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'actionType', 'This field allows for filtering of the resultant data within this report to include the counts of only received (inbound) documents from partners or disclosed (outbound) to partners, or both.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'documentSizeOrgCol', 'This column displays the organizations from which VA has disclosed records or received records through eHealth Exchange.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'loincCode', 'This column displays the results type (LOINC code) for the associated documents exchanged.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'documentSizeTitle', 'This column displays the title of the documents exchanged.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'documentSizeCount', 'This column displays the total count of documents exchanged for the associated results type and document title within the selected dates. ');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'documentSizeAverageSize', 'This column displays the average file size of the documents exchanged (in kb) for the associated results type and document title.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'documentSizeMinimumSize', 'This column displays the file size of the smallest document (in kb) for the associated results type and document title.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'documentSizeMaximumSize', 'This column displays the largest individual file size (in kb) for documents within the associated results type and document title.');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'batchAnnounceMoveAll', 'Add all organizations to the announcement list');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'batchAnnounceMoveSelectedRight', 'Add selected organizations to the announcement list');

INSERT INTO VAP.DESCRIPTOR
(DESCRIPTOR_ID, NAME, TEXT)
VALUES
(VAP.HIBERNATE_SEQUENCE.NEXTVAL, 'batchAnnounceMoveSelectedLeft', 'Remove selected organizations from the announcement list');

