CREATE TABLE VAP.LOCATION
(
  LOCATION_ID    NUMBER                         NOT NULL,
  FACILITY_ID    NUMBER                         NOT NULL,
  LOCATION_CODE  VARCHAR2(20 BYTE)              NOT NULL,
  ACTIVE         CHAR(1 BYTE)                   NOT NULL
);


CREATE INDEX VAP.LOCATION_IDX ON VAP.LOCATION
(LOCATION_CODE);

CREATE UNIQUE INDEX VAP.LOCATION_PK ON VAP.LOCATION
(LOCATION_ID);

ALTER TABLE VAP.LOCATION ADD (
  CONSTRAINT LOCATION_PK
  PRIMARY KEY
  (LOCATION_ID)
  USING INDEX VAP.LOCATION_PK
  ENABLE VALIDATE);
