CREATE TABLE VAP.MAIL_LOG
(
  LOG_ID              NUMBER(19)                NOT NULL,
  DELAYED_CONSENT_ID  NUMBER(19),
  CONSENT_DIR_ID      NUMBER(19),
  LOG_ENTRY           CLOB                      NOT NULL
);


CREATE UNIQUE INDEX VAP.MAIL_LOG_PK ON VAP.MAIL_LOG
(LOG_ID);

ALTER TABLE VAP.MAIL_LOG ADD (
  CONSTRAINT MAIL_LOG_PK
  PRIMARY KEY
  (LOG_ID)
  USING INDEX VAP.MAIL_LOG_PK
  ENABLE VALIDATE);
