CREATE TABLE VAP.PURPOSE_OF_USE
(
  POU_ID     NUMBER                             NOT NULL,
  POU_VALUE  VARCHAR2(255 BYTE)                 NOT NULL,
  URN        VARCHAR2(255 BYTE)                 NOT NULL
);


CREATE UNIQUE INDEX VAP.PURPOSE_OF_USE_PK ON VAP.PURPOSE_OF_USE
(POU_ID);

ALTER TABLE VAP.PURPOSE_OF_USE ADD (
  CONSTRAINT PURPOSE_OF_USE_PK
  PRIMARY KEY
  (POU_ID)
  USING INDEX VAP.PURPOSE_OF_USE_PK
  ENABLE VALIDATE);
