CREATE TABLE VAP.USER_DOCUMENT_SCHEDULE  ( 
    SCHEDULE_ID                     NUMBER NOT NULL,
    USER_ID                         VARCHAR2(255) NOT NULL,
    CREATION_DATE                   TIMESTAMP(6) NOT NULL,
    LAST_UPDATED_DATE               TIMESTAMP(6) NOT NULL,
    REPORT_TYPE                     VARCHAR2(255) NOT NULL,
    USER_DEFINED_REPORT_NAME        VARCHAR2(255) NOT NULL,
    FORMAT                          VARCHAR2(30) NOT NULL,
    PERIOD_OF_REPORTING             VARCHAR2(30) NOT NULL,
    REPORT_PARAMETERS               CLOB NULL,
    REPORT_VIEW_PARAMETERS          CLOB NULL,
    FREQUENCY                       VARCHAR2(10) NOT NULL, 
    WEEKLY_RECURRENCE_WEEK          NUMBER NULL, 
    WEEKLY_RECURRENCE_DAY_OF_WEEK   NUMBER NULL,
    MONTHLY_RECURRENCE_MONTH        NUMBER NULL, 
    MONTHLY_RECURRENCE_DAY          VARCHAR2(10) NULL, 
    START_DATE                      TIMESTAMP(6) NOT NULL,
    END_DATE                        TIMESTAMP(6) NULL,
    FREQUENCY_TEXT                  VARCHAR2(4000) GENERATED ALWAYS AS (VAP.GETFRIENDLYSCHEDULEFREQUENCY(FREQUENCY, WEEKLY_RECURRENCE_WEEK, WEEKLY_RECURRENCE_DAY_OF_WEEK, MONTHLY_RECURRENCE_MONTH, MONTHLY_RECURRENCE_DAY)),
    CONSTRAINT USER_DOCUMENT_SCHEDULE_PK PRIMARY KEY(SCHEDULE_ID)
);