CREATE TABLE VAP.USER_DOCUMENT_SCHEDULE_AUDIT (
    AUDIT_ID        NUMBER NOT NULL, 
    SCHEDULE_ID     NUMBER NOT NULL, 
    RUN_START_DATE  TIMESTAMP(6) NOT NULL, 
    RUN_END_DATE    TIMESTAMP(6) NULL, 
    STATUS          VARCHAR2(30) NOT NULL,
    ERROR_MESSAGE   CLOB NULL, 
    FORMAT          VARCHAR2(30) NOT NULL, 
	CHECK_DATE VARCHAR2(10) DEFAULT (TRUNC(SYSDATE)) NOT NULL, 
    CONSTRAINT USER_DOC_SCHEDULE_AUDIT_PK PRIMARY KEY(AUDIT_ID)
);

ALTER TABLE VAP.USER_DOCUMENT_SCHEDULE_AUDIT
	ADD ( CONSTRAINT UDS_SI_FK
	FOREIGN KEY(SCHEDULE_ID)
	REFERENCES VAP.USER_DOCUMENT_SCHEDULE(SCHEDULE_ID)
  ON DELETE CASCADE);
  
ALTER TABLE VAP.USER_DOCUMENT_SCHEDULE_AUDIT
ADD CONSTRAINT UDSA_SCHEDULE_ID_CHECK_DATE UNIQUE (SCHEDULE_ID, CHECK_DATE);  