-- CAUTION: deletes all VAP database tables, etc.! - uncomment for resetting database only
-- DROP USER VAP CASCADE; 

CREATE USER VAP
  IDENTIFIED BY vap
  DEFAULT TABLESPACE USERS
  TEMPORARY TABLESPACE TEMP
  PROFILE DEFAULT
  ACCOUNT UNLOCK;
  -- 1 Role for VAP
  GRANT DBA TO VAP WITH ADMIN OPTION;
  ALTER USER VAP DEFAULT ROLE ALL;
  -- 1 System Privilege for VAP
  GRANT UNLIMITED TABLESPACE TO VAP WITH ADMIN OPTION;
  -- 1 Tablespace Quota for VAP
  ALTER USER VAP QUOTA UNLIMITED ON USERS;
