<%@tag description="Creates a red asterisk to be added to the left of a required form field" pageEncoding="UTF-8"%>

<%-- attributes --%>
<%@attribute name="altText" required="false" description="the text to use for the alt tag on the asterisk"%>
<%@attribute name="labelText" required="true" description="the text of the label itself. i.e. for a username input, this would be Username"%>
<%@attribute name="useNoWrap" required="false" type="java.lang.Boolean" description="boolean to have the text wrap or not. default is NO wrap." %>

<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<c:set var="useNoWrap" value="${empty useNoWrap ? true : false}" /><%-- default useNoWrap to true --%>

<span class="<c:out value="${useNoWrap ? 'text-nowrap' : ''}" />"><i class="fa fa-asterisk text-danger vap-required" <c:if test="${not empty altText}">alt="<c:out value="${altText}" />"</c:if> aria-hidden="true"></i> <c:out value="${labelText}" />